View Issue Details

IDProjectCategoryView StatusLast Update
0000570FreeCADBugpublic2012-01-12 09:11
Reportercstrachan1Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.13 
Summary0000570: App::Document::_RecomputeFeature(): Unknown exception in Feature "Fusion" thrown
DescriptionAttempting to fuse parts results in error.

Steps to reproduce:
From attached file select parts Array, Array01, Array02, Array03
Click on union from the parts toolbar
Error occurs

expected result is a union of all parts.
Additional InformationLinux cs-sis-gcs-laptop 3.0.0-14-generic-pae 0000023-Ubuntu SMP Mon Nov 21 22:07:10 UTC 2011 i686 i686 i386 GNU/Linu

$svn info
Path: .
URL: https://free-cad.svn.sourceforge.net/svnroot/free-cad/trunk
Repository Root: https://free-cad.svn.sourceforge.net/svnroot/free-cad
Repository UUID: e8eeb9e2-ec13-0410-a4a9-efa5cf37419d
Revision: 5398
Node Kind: directory
Schedule: normal
Last Changed Author: wmayer
Last Changed Rev: 5398
Last Changed Date: 2012-01-11 18:39:27 +0000 (Wed, 11 Jan 2012)

Opencascade 6.5.2
TagsNo tags attached.

Activities

2012-01-12 06:46

 

DomeFusion.fcstd (Attachment missing)

wmayer

2012-01-12 09:11

administrator   ~0001567

Fixed in rev 5400. Now the MultiFuse feature class handles the exception but OCC still fails to fuse all these objects.

Some of your objects are only a compound of shells. Here you should first convert them to a solid and then re-try the fusion. Maybe this works.

Issue History

Date Modified Username Field Change
2012-01-12 06:46 cstrachan1 New Issue
2012-01-12 06:46 cstrachan1 File Added: DomeFusion.fcstd
2012-01-12 09:11 wmayer Note Added: 0001567
2012-01-12 09:11 wmayer Status new => closed
2012-01-12 09:11 wmayer Resolution open => fixed
2012-01-12 09:11 wmayer Fixed in Version => 0.13